org.richfaces.ui.attribute

## Interface EventsKeyProps

- All Known Subinterfaces:
    CommandButtonProps, LinkProps, OutputFormatProps
  All Known Implementing Classes:
    AbstractAutocomplete, AbstractCommandButton, AbstractCommandLink, AbstractContextMenu, AbstractDropDownMenu, AbstractFileUpload, AbstractInplaceInput, AbstractInplaceSelect, AbstractInputNumberSlider, AbstractInputNumberSpinner, AbstractList, AbstractMediaOutput, AbstractMenuGroup, AbstractMenuItem, AbstractMessage, AbstractMessages, AbstractNotify, AbstractNotifyMessage, AbstractNotifyMessages, AbstractOrderingComponent, AbstractOrderingList, AbstractOutputPanel, AbstractPanel, AbstractPickList, AbstractSelect, AbstractSelectComponent, AbstractSelectManyComponent, AbstractTree, AbstractTreeNode, UIAutocomplete, UICommandButton, UICommandLink, UIContextMenu, UIDropDownMenu, UIFileUpload, UIInplaceInput, UIInplaceSelect, UIInputNumberSlider, UIInputNumberSpinner, UIList, UIMediaOutput, UIMenuGroup, UIMenuItem, UIMessage, UIMessages, UINotify, UINotifyMessage, UINotifyMessages, UIOrderingList, UIOutputPanel, UIPanel, UIPickList, UISelect, UITree, UITreeNode

      public interface EventsKeyProps

  Interface defining the methods for events-key-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.

- - ### Method Detail

    - #### getOnkeypress

          String getOnkeypress()

      Javascript code executed when a key is pressed and released over this element.

    - #### getOnkeydown

          String getOnkeydown()

      Javascript code executed when a key is pressed down over this element.

    - #### getOnkeyup

          String getOnkeyup()

      Javascript code executed when a key is released over this element.

Copyright © 2014 JBoss by Red Hat. All rights reserved.